#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-LAwNbJqxNAbKHFzYKmMq1D
key:                  ghcide-1.4.1.0-LAwNbJqxNAbKHFzYKmMq1D
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  034f218da13216a4aa46075aac8746ae
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.1.0-LAwNbJqxNAbKHFzYKmMq1D
depends:
    Diff-0.4.1-CbeQVa25c4Z9mGpujDbadY
    Glob-0.10.2-4nfqcGp39TaHPAg9dshJct
    aeson-1.5.6.0-9Pr07X4KYAQGYkzJzuJMP6
    aeson-pretty-0.8.9-BnsQSvnbim1C4mQi8V8YJl array-0.5.4.0
    async-2.2.4-256lhPDrTpH6romyyjDcSx base-4.15.1.0
    base16-bytestring-1.0.2.0-FPZwM2Jmg6b125ODcw0cbs binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-303If7DZwhZLcSbl2XXPFV
    case-insensitive-1.2.1.0-6h3hchaUNw8qyAgoXR952 containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-JyP5XmTui9cCmg5qxp20LD
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-E1BkzMIS8L6AKEf7wZUBve
    dependent-sum-0.7.1.0-LE2GIfDCga0Lchd2KKlsWI directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO
    extra-1.7.10-1Jjevq2TjOrIF49Fnc8uzY filepath-1.4.2.1
    fingertree-0.1.5.0-vJPoRaPIDF6t3awbqpqFu
    fuzzy-0.1.0.1-7FoAU3weYdUEswlet9f9Sd ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-4B3US1t5C0I8ruHXvKDCeN
    ghc-exactprint-0.6.4-79aOKtfZTgV54ih37OcoW5
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-4k9TVgDbCTB6UGkBYGYyCG
    hashable-1.4.0.2-J44BDnT4N4jIfsjZsKg5ZQ
    heapsize-0.3.0.1-4RM0N9UJTsHKgjFLLtXALP
    hie-bios-0.7.6-AUnF6EDUhkX7YqXKx165pK
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-2Su9M5K5frJA8fs98tb3UM
    hls-graph-1.4.0.0-54xoJ51RDt0E5Z3iL54x3a
    hls-plugin-api-1.2.0.0-7YKfvYPFNQdB13p9kv2xT3
    hslogger-1.3.1.0-7UUSBtFv9ap5XhMnCFR0ow
    implicit-hie-cradle-0.3.0.5-8Rj0h4r9vLHK4NAgiMer9q
    lens-5.1.1-9Bb1bNPS9K0CqITb8wuoWH
    lsp-1.2.0.1-8XIZL3SAVsH3SWgfnQrviJ
    lsp-types-1.3.0.1-FUcEh9OlwJpGKjgojIsUBd mtl-2.2.2
    network-uri-2.6.4.1-1pF7wEplABcLvTQkIWYZHD
    opentelemetry-0.7.0-GnFljhErfy7DOHbBmys3nM
    optparse-applicative-0.16.1.0-dnp4wwcfw8E70WBHMyy98
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-G8kNzeCUgVEFKePyvH3God
    prettyprinter-ansi-terminal-1.1.3-K3jDmUgoGrR65Ah9irA7l2
    regex-tdfa-1.3.1.2-R4cqD1ONIjB4g0AHXP2H5
    retrie-1.1.0.0-8YJ9dZJrKkbFA3MH5nRecj
    rope-utf16-splay-0.3.2.0-xb3cdEJeBaHTg0PF0CvAU
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-ElmCZUGuRv4Ilxkt6k5Qnw
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.0-B1VHEWn0uzuGp7xHDKCQmw stm-2.5.0.0
    syb-0.7.2.1-CRRChROKPebWd9iyqYv8k text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-GmUrFWPrH9f4xIJwAszcDI
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-BhRjg5By7kU7pLGfSxEo3F
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-J4wWiZyTUBGFVf3h0yMQvX

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

